summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-08-27 11:17:15 +0400
committerGluzskiy Alexandr <sss123next@list.ru>2009-08-27 11:17:15 +0400
commit1b6f2f9c0d04304330aab5139af206120073c765 (patch)
tree9a4fce62a80455157d4e3130e6414262fe184aec
parentc8584748282c375f4be56593e19df10a6763fea1 (diff)
new file: psi/files
new file: psi/psi-9999.ebuild modified: ../net-libs/opal/opal-3.6.4.ebuild modified: ../net-voip/ekiga/ekiga-3.2.5.ebuild
l---------net-im/psi/files1
-rw-r--r--net-im/psi/psi-9999.ebuild138
-rw-r--r--net-libs/opal/opal-3.6.4.ebuild6
-rw-r--r--net-voip/ekiga/ekiga-3.2.5.ebuild4
4 files changed, 144 insertions, 5 deletions
diff --git a/net-im/psi/files b/net-im/psi/files
new file mode 120000
index 0000000..304a121
--- /dev/null
+++ b/net-im/psi/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/net-im/psi/files \ No newline at end of file
diff --git a/net-im/psi/psi-9999.ebuild b/net-im/psi/psi-9999.ebuild
new file mode 100644
index 0000000..533e30e
--- /dev/null
+++ b/net-im/psi/psi-9999.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/psi/psi-0.13-r1.ebuild,v 1.3 2009/08/20 17:20:17 pva Exp $
+
+EAPI="2"
+
+inherit eutils qt4 multilib git
+
+MY_P="${P/_rc/-rc}"
+
+DESCRIPTION="Qt4 Jabber client, with Licq-like interface"
+HOMEPAGE="http://psi-im.org/"
+# Langpack:
+# http://lists.affinix.com/pipermail/psi-devel-affinix.com/2009-August/008798.html
+
+EGIT_REPO_URI="git://git.psi-im.org/psi.git"
+
+SRC_URI="mirror://gentoo/psi-0.13-20090817_langpack_for_packagers.zip
+ extras? ( mirror://gentoo/psi-extra-patches-r927.tar.bz2
+ mirror://gentoo/psi-extra-iconsets-r927.tar.bz2 )"
+
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="crypt dbus debug doc extras jingle spell ssl xscreensaver"
+RESTRICT="test"
+
+LANGS="de es fr it mk pl pt_BR ru sv ur_PK zh_TW"
+for LNG in ${LANGS}; do
+ IUSE="${IUSE} linguas_${LNG}"
+ #SRC_URI="${SRC_URI} http://psi-im.org/download/lang/psi_${LNG/ur_PK/ur_pk}.qm"
+done
+
+RDEPEND=">=x11-libs/qt-gui-4.4:4[qt3support,dbus?]
+ >=app-crypt/qca-2.0.2:2
+ spell? ( app-text/aspell )
+ xscreensaver? ( x11-libs/libXScrnSaver )
+ app-arch/unzip"
+
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+PDEPEND="crypt? ( app-crypt/qca-gnupg:2 )
+ jingle? ( net-im/psimedia )
+ ssl? ( app-crypt/qca-ossl:2 )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+# epatch "${FILESDIR}/psi-0.13-psi+muc-kickban-reasons.patch"
+# epatch "${FILESDIR}/psi-0.13-psi+options-coloring-in-chat-dialog.patch"
+
+ if use extras; then
+ # some patches from psi+ project http://code.google.com/p/psi-dev
+ ewarn "You're about to build heavily patched version of Psi called Psi+."
+ ewarn "It has really nice features but still is under heavy development."
+ ewarn "Take a look at homepage for more info: http://code.google.com/p/psi-dev"
+ ewarn "If you wish to disable some patches just put"
+ ewarn "MY_EPATCH_EXCLUDE=\"list of patches\""
+ ewarn "into /etc/portage/env/${CATEGORY}/${PN} file."
+ ewarn
+ ewarn "Note: some patches depend on other. So if you disabled some patch"
+ ewarn "and other started to fail to apply, you'll have to disable patches"
+ ewarn "that fail too."
+ ebeep
+
+ EPATCH_EXCLUDE="${MY_EPATCH_EXCLUDE} 270-psi-application-info.diff" \
+ EPATCH_SUFFIX="diff" EPATCH_FORCE="yes" epatch
+ sed -e 's/\(^#define PROG_CAPS_NODE \).*/\1"http:\/\/psi-dev.googlecode.com\/caps";/' \
+ -e 's:\(^#define PROG_NAME "Psi\):\1+:' \
+ -i src/applicationinfo.cpp || die
+ fi
+
+ rm -rf third-party/qca # We use system libraries.
+}
+
+src_unpack(){
+ git_src_unpack
+}
+
+src_configure() {
+ # unable to use econf because of non-standard configure script
+ # disable growl as it is a MacOS X extension only
+ local confcmd="./configure
+ --prefix=/usr
+ --qtdir=/usr
+ --disable-bundled-qca
+ --disable-growl
+ $(use dbus || echo '--disable-qdbus')
+ $(use debug && echo '--enable-debug')
+ $(use spell || echo '--disable-aspell')
+ $(use xscreensaver || echo '--disable-xss')"
+
+ echo ${confcmd}
+ ${confcmd} || die "configure failed"
+}
+
+src_compile() {
+ eqmake4
+
+ emake || die "emake failed"
+
+ if use doc; then
+ cd doc
+ mkdir -p api # 259632
+ make api_public || die "make api_public failed"
+ fi
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install || die "emake install failed"
+ rm "${D}"/usr/share/psi/{COPYING,README}
+
+ # this way the docs will be installed in the standard gentoo dir
+ newdoc iconsets/roster/README README.roster || die
+ newdoc iconsets/system/README README.system || die
+ newdoc certs/README README.certs || die
+ dodoc README || die
+
+ if use doc; then
+ cd doc
+ dohtml -r api || die "dohtml failed"
+ fi
+
+ # install translations
+ cd "${WORKDIR}"
+ insinto /usr/share/${PN}/
+ for LNG in ${LANGS}; do
+ if use linguas_${LNG}; then
+ doins ${LNG}/${PN}_${LNG}.qm || die
+ fi
+ done
+
+ if use extras; then
+ cp -a "${WORKDIR}"/iconsets/* "${D}"/usr/share/${PN}/iconsets/ || die
+ fi
+}
diff --git a/net-libs/opal/opal-3.6.4.ebuild b/net-libs/opal/opal-3.6.4.ebuild
index e505683..1ea63ff 100644
--- a/net-libs/opal/opal-3.6.4.ebuild
+++ b/net-libs/opal/opal-3.6.4.ebuild
@@ -13,18 +13,18 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="debug doc java"
-RDEPEND=">=dev-libs/ptlib-2.0.0
+RDEPEND=">=net-libs/ptlib-2.6.4
>=media-video/ffmpeg-0.4.7
media-libs/speex
java? ( virtual/jdk )"
pkg_setup() {
- if use debug && ! built_with_use dev-libs/ptlib debug; then
+ if use debug && ! built_with_use net-libs/ptlib debug; then
eerror "You need to build dev-libs/ptlib with USE=debug enabled."
die "dev-libs/ptlib has to be built with USE=debug"
fi
- if ! use debug && built_with_use dev-libs/ptlib debug; then
+ if ! use debug && built_with_use net-libs/ptlib debug; then
eerror "You need to build dev-libs/ptlib without USE=debug."
die "dev-libs/ptlib has not to be built with USE=debug"
fi
diff --git a/net-voip/ekiga/ekiga-3.2.5.ebuild b/net-voip/ekiga/ekiga-3.2.5.ebuild
index c546ab0..b6a6851 100644
--- a/net-voip/ekiga/ekiga-3.2.5.ebuild
+++ b/net-voip/ekiga/ekiga-3.2.5.ebuild
@@ -43,14 +43,14 @@ pkg_setup() {
# ekiga has to be built like opal and ptlib but as opal has to be built
# like ptlib, it should be possible to check only opal but as ekiga is
# linking to both, we are cheking both
- if use debug && (! built_with_use dev-libs/ptlib debug ||
+ if use debug && (! built_with_use net-libs/ptlib debug ||
! built_with_use net-libs/opal debug); then
eerror "You need to build dev-libs/ptlib and net-libs/opal with\
USE=debug enabled."
die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
fi
- if ! use debug && (built_with_use dev-libs/ptlib debug ||
+ if ! use debug && (built_with_use net-libs/ptlib debug ||
built_with_use net-libs/opal debug); then
eerror "You need to build dev-libs/ptlib and net-libs/opal without\
USE=debug."